## kwordquiz 17.04.3

=== debian/changelog ===
kwordquiz (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:26 +0100

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:17.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz

Package: kwordquiz
Architecture: any
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

## kwordquiz 17.08.3

=== debian/changelog ===
kwordquiz (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:46:55 +0800

kwordquiz (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused build dependencies: libkf5declarative-dev,
    libkf5iconthemes-dev, libkf5kio-dev, libkf5sonnet-dev, and libx11-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 09:05:50 +0100

kwordquiz (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:34 +0200

kwordquiz (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:13 +0000

kwordquiz (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:37 +0000

kwordquiz (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:21 +0000

kwordquiz (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:57 +0000

kwordquiz (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:02 +0000

kwordquiz (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:18 +0000

kwordquiz (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:34 +0000

kwordquiz (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:11 +0000

kwordquiz (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:34 +0000

kwordquiz (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:02 +0000

kwordquiz (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:07 +0000

kwordquiz (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:05 +0000

kwordquiz (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:11 +0000

kwordquiz (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:24 +0000

kwordquiz (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:16 +0000

kwordquiz (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:08 +0000

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkeduvocdocument-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5itemviews-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kwordquiz.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kwordquiz.git

Package: kwordquiz
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

## kwordquiz 17.12.3

=== debian/changelog ===
kwordquiz (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:14 +0000

kwordquiz (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:01 +0000

kwordquiz (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:42 +0000

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz

Package: kwordquiz
Architecture: any
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kwordquiz-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kwordquiz-([\d.]+).tar.xz

## kwordquiz 18.04.3

=== debian/changelog ===
kwordquiz (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.12.3~),
+               libkeduvocdocument-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -27,7 +27,7 @@
                libphonon4qt5experimental-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz

## kwordquiz 18.12.3

=== debian/changelog ===
kwordquiz (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:07 +0000

kwordquiz (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:09 +0000

kwordquiz (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:46 +0000

kwordquiz (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:02 +0000

kwordquiz (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, remaining changes:
    - keep l10npkgs_firstversion_ok := 4:17.03.90-0~

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 18:02:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,24 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.04.3~),
+               libkeduvocdocument-dev (>= 4:18.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5guiaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5sonnet-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
-               libx11-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz

## kwordquiz 19.04.3

=== debian/changelog ===
kwordquiz (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:19:46 +0100

kwordquiz (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:09 +0100

kwordquiz (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:19 +0100

kwordquiz (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.12.3~),
+               libkeduvocdocument-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),

## kwordquiz 19.08.1

=== debian/changelog ===
kwordquiz (4:19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - remove libkf5kdelibs4support-dev
    - add libkf5iconthemes-dev, and libkf5windowsystem-dev
    - explicitly add gettext
  * Switch copyright to copyright-format 1.0 (only Format was changed).

 -- Pino Toscano <pino@debian.org>  Wed, 09 Oct 2019 07:12:25 +0200

=== debian/control ===
Source: kwordquiz
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libkeduvocdocument-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git

Package: kwordquiz
Architecture: any
Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: flashcard learning program
 KWordQuiz is a general purpose flashcard program, typically used for
 vocabulary training.
 .
 KWordQuiz can open vocabulary data in various formats, including the kvtml
 format used by KDE programs such as Parley, the WQL format used by
 WordQuiz for Windows, the xml.gz format used by Pauker, and CSV text.
 .
 This package is part of the KDE education module.

## kwordquiz 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kwordquiz VERSION ${KDE_APPLICATIONS_VERSION})

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
    set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
    set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
endif(NOT MSVC)

include(FeatureSummary)
find_package(Qt5 CONFIG REQUIRED Core Widgets PrintSupport)

find_package(ECM 1.7.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)


find_package(KF5 REQUIRED COMPONENTS
    I18n
    Crash
    Config
    ConfigWidgets
    DocTools
    GuiAddons
    IconThemes
    ItemViews
    NotifyConfig
    NewStuff
    Notifications
    WindowSystem
    XmlGui
)
include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Phonon4Qt5 4.6.60 NO_MODULE REQUIRED)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory(doc)
add_subdirectory(src)

install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===

add_subdirectory( pics ) # private icons
add_subdirectory( icons ) # global icons
add_subdirectory( examples )

# include_directories( ${LIBKDEEDU_INCLUDE_DIR} )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PHONON_INCLUDES}
)

########### next target ###############

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWORDQUIZ VERSION_HEADER kwordquiz_version.h)

set(kwordquiz_SRCS
   filterproxysearchline.cpp
   kwordquizprefs.cpp
   kwordquiz.cpp
   main.cpp
   qaview.cpp
   flashview.cpp
   multipleview.cpp
   kwqquizmodel.cpp
   prefgeneral.cpp
   prefeditor.cpp
   prefquiz.cpp
   preftutor.cpp
   dlgspecchar.cpp
   dlglanguage.cpp
   wqprintdialogpage.cpp
   prefcharacter.cpp
   prefcardappearance.cpp
   kwqtablemodel.cpp
   kwqtableview.cpp
   kwqtabledelegate.cpp
   kwqtutor.cpp
   kwqtutorflashcard.cpp
   kwqtutorprefs.cpp
   kwqsortfiltermodel.cpp
   kwqcommands.cpp
   kwqscorewidget.cpp
   kwqcardscene.cpp
   kwqcardview.cpp
   kwqquizview.cpp
   kwqcleardialog.cpp
   kwqpixmapitem.cpp
   )


ki18n_wrap_ui(kwordquiz_SRCS
   columndialogbase.ui
   flashviewbase.ui
   multipleviewbase.ui
   qaviewbase.ui
   prefeditorbase.ui
   prefquizbase.ui
   kwqscorewidgetbase.ui
   prefcharacterbase.ui
   prefcardappearancebase.ui
   prefgeneralbase.ui
   preftutorbase.ui
   cleardialogbase.ui
   )

kconfig_add_kcfg_files(kwordquiz_SRCS prefs.kcfgc documentsettings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kwordquiz.png")
ecm_add_app_icon(kwordquiz_SRCS ICONS ${ICONS_SRCS})

add_executable(kwordquiz ${kwordquiz_SRCS})

target_link_libraries(kwordquiz
    Qt5::Core
    Qt5::PrintSupport
    Qt5::Widgets
    KF5::Crash
    KF5::IconThemes
    KF5::ConfigCore
    KF5::I18n
    KF5::ItemViews
    KF5::NewStuff
    KF5::Notifications
    KF5::NotifyConfig
    KF5::XmlGui
    KF5::GuiAddons
    KF5::WindowSystem
    LibKEduVocDocumentImport__KEduVocDocument
    Phonon::phonon4qt5
)

install(TARGETS kwordquiz  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kwordquiz.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kwordquiz.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES kwordquiz.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES kwordquiz.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )
install(FILES
  kwordquizui.rc
  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kwordquiz)

=== debian/changelog ===
kwordquiz (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:24 +0000

kwordquiz (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:25:37 +0000

kwordquiz (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:59:56 +0000

kwordquiz (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:53:37 +0000

kwordquiz (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:11 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev,
+               libkeduvocdocument-dev (>= 4:19.12.3~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,

## kwordquiz 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kwordquiz VERSION ${KDE_APPLICATIONS_VERSION})
+project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})
 
 if(NOT MSVC)
     set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
@@ -50,10 +50,7 @@
 find_package(LibKEduVocDocument REQUIRED)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 add_subdirectory(doc)
 add_subdirectory(src)

=== debian/changelog ===
kwordquiz (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:37 +0100

kwordquiz (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 12:06:32 +0200

kwordquiz (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 16:04:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:19.12.3~),
+               libkeduvocdocument-dev (>= 4:20.08.1~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,
@@ -25,7 +25,8 @@
                libphonon4qt5experimental-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.4),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git

## kwordquiz 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -18,7 +18,7 @@
 find_package(Qt5 CONFIG REQUIRED Core Widgets PrintSupport)
 
 find_package(ECM 1.7.0 NO_MODULE REQUIRED)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -35,7 +35,6 @@
     ConfigWidgets
     DocTools
     GuiAddons
-    IconThemes
     ItemViews
     NotifyConfig
     NewStuff
@@ -55,9 +54,9 @@
 add_subdirectory(doc)
 add_subdirectory(src)
 
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
 install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 ########### next target ###############
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWORDQUIZ VERSION_HEADER kwordquiz_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KWORDQUIZ VERSION_HEADER kwordquiz_version.h)
 
 set(kwordquiz_SRCS
    filterproxysearchline.cpp
@@ -77,7 +77,6 @@
     Qt5::PrintSupport
     Qt5::Widgets
     KF5::Crash
-    KF5::IconThemes
     KF5::ConfigCore
     KF5::I18n
     KF5::ItemViews
@@ -98,7 +97,7 @@
 
 install( PROGRAMS org.kde.kwordquiz.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install( FILES kwordquiz.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
-install( FILES kwordquiz.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
+install( FILES kwordquiz.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )
 install( FILES kwordquiz.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )
 install(FILES
   kwordquizui.rc

=== debian/changelog ===
kwordquiz (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Unregister the old /etc/xdg/kwordquiz.knsrc conffile.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Jan 2021 09:48:55 +0100

kwordquiz (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Drop libkf5iconthemes-dev from the build dependencies according to the
    upstream build system.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 23:05:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.08.1~),
+               libkeduvocdocument-dev,
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,
                libkf5doctools-dev,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
-               libkf5iconthemes-dev,
                libkf5itemviews-dev,
                libkf5newstuff-dev,
                libkf5notifications-dev,
@@ -25,9 +24,9 @@
                libphonon4qt5experimental-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.4),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/kdeedu/kwordquiz
+Homepage: https://edu.kde.org/kwordquiz
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
 
@@ -35,8 +34,6 @@
 Architecture: any
 Depends: kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: flashcard learning program
  KWordQuiz is a general purpose flashcard program, typically used for
  vocabulary training.

## kwordquiz 20.12.3

=== debian/changelog ===
kwordquiz (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:27:45 +0000

kwordquiz (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:12 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev,
+               libkeduvocdocument-dev (>= 4:20.12.3~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,

## kwordquiz 21.08.1

=== debian/changelog ===
kwordquiz (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:39:49 +0100

kwordquiz (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:09:23 +0100

kwordquiz (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:03:41 +0100

kwordquiz (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:01 +0100

kwordquiz (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:50:38 +0100

kwordquiz (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:47:56 +0100

kwordquiz (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:14:17 +0100

kwordquiz (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:45:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.12.3~),
+               libkeduvocdocument-dev (>= 4:21.08.1~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,

## kwordquiz 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})
@@ -17,7 +17,7 @@
 include(FeatureSummary)
 find_package(Qt5 CONFIG REQUIRED Core Widgets PrintSupport)
 
-find_package(ECM 1.7.0 NO_MODULE REQUIRED)
+find_package(ECM 5.83.0 NO_MODULE REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -73,9 +73,9 @@
 add_executable(kwordquiz ${kwordquiz_SRCS})
 
 target_link_libraries(kwordquiz
-    Qt5::Core
-    Qt5::PrintSupport
-    Qt5::Widgets
+    Qt::Core
+    Qt::PrintSupport
+    Qt::Widgets
     KF5::Crash
     KF5::ConfigCore
     KF5::I18n

=== debian/changelog ===
kwordquiz (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:17:41 +0000

kwordquiz (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:16 +0000

kwordquiz (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:05 +0000

kwordquiz (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:11 +0000

kwordquiz (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:12:49 +0000

kwordquiz (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:24:26 +0000

kwordquiz (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:31:42 +0000

kwordquiz (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:46:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kwordquiz
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.08.1~),
+               libkeduvocdocument-dev (>= 4:21.12.3~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,
@@ -27,8 +28,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kwordquiz
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwordquiz
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwordquiz.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwordquiz
 
 Package: kwordquiz
 Architecture: any

## kwordquiz 22.08.1

=== debian/changelog ===
kwordquiz (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:46:54 +0100

kwordquiz (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:09 +0100

kwordquiz (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:04 +0100

kwordquiz (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:08:41 +0100

kwordquiz (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:07:49 +0100

kwordquiz (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.12.3~),
+               libkeduvocdocument-dev (>= 4:22.08.1~),
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5crash-dev,
